
Redmine - Patch #6317

Template names conventions

2010-09-07 04:48 - Jean-Baptiste Barth

Status: Closed Start date: 2010-09-07

Priority: Low Due date:  

Assignee: Toshi MARUYAMA % Done: 50%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

Can we update template names to rails 2.x conventions (rhtml -> html.erb) ? Or at least clean the render :template with filenames

hardcoded in controllers which can make a plugin developer not understanding why his view his not overriding the core's one ?

Any thought/pros/cons about that ?

Related issues:

Related to Redmine - Feature #4796: Rails 3 support Closed 2010-02-10

Associated revisions

Revision 7022 - 2011-09-01 18:30 - Toshi MARUYAMA

remove hard-coded '.rhtml' from IssuesController 'index' (#6317).

Revision 7023 - 2011-09-01 18:31 - Toshi MARUYAMA

remove hard-coded '.rhtml' from IssuesController 'show' (#6317).

Revision 7024 - 2011-09-02 01:40 - Toshi MARUYAMA

respond nothing in case of content type is not html with invalid query params (#8883, #6317).

Revision 7025 - 2011-09-02 01:41 - Toshi MARUYAMA

add test to respond nothing in case of content type is html with invalid query params (#8883, #6317).

Revision 7026 - 2011-09-02 01:42 - Toshi MARUYAMA

add test to respond nothing in case of content type is not html with invalid query params (#8883, #6317).

Revision 7027 - 2011-09-02 02:13 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_show_by_anonymous" of functional issues controller test (#6317).

Revision 7028 - 2011-09-02 02:13 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_project_and_default_filter" of functional issues controller test (#6317).

Revision 7029 - 2011-09-02 02:14 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_project_and_empty_filters" of functional issues controller test (#6317).

Revision 7030 - 2011-09-02 02:15 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_query" of functional issues controller test (#6317).

Revision 7031 - 2011-09-02 02:16 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_query_grouped_by_tracker" of functional issues controller test (#6317).

Revision 7032 - 2011-09-02 02:16 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_query_grouped_by_list_custom_field" of functional issues controller test (#6317).

Revision 7034 - 2011-09-02 03:08 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index" of functional issues controller test (#6317).
Revision 7035 - 2011-09-02 03:09 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_should_not_list_issues_when_module_disabled" of functional issues controller test (#6317).

Revision 7039 - 2011-09-02 03:41 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_project" of functional issues controller test (#6317).

Revision 7040 - 2011-09-02 03:42 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_project_and_subprojects_should_show_private_subprojects" of functional issues controller test

(#6317).

Revision 7041 - 2011-09-02 03:43 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_project_and_subprojects" of functional issues controller test (#6317).

Revision 7042 - 2011-09-02 03:44 - Toshi MARUYAMA

remove hard-coded '.rhtml' from "test_index_with_project_and_filter" of functional issues controller test (#6317).

Revision 7043 - 2011-09-02 03:52 - Toshi MARUYAMA

rename .rhtml to .html.erb of app/views/issues/show.rhtml (#6317).

:rhtml and :rxml were finally removed as template handlers at Rails 3.1 RC4.

Revision 7044 - 2011-09-02 03:53 - Toshi MARUYAMA

rename .rhtml to .html.erb of app/views/issues/index.rhtml (#6317).

:rhtml and :rxml were finally removed as template handlers at Rails 3.1 RC4.

Revision 7485 - 2011-09-24 06:19 - Toshi MARUYAMA

remove hard-coded '.rxml' from "test_index_atom_feed" of functional activities controller test (#6317)

Revision 7534 - 2011-09-26 18:20 - Toshi MARUYAMA

Rails3: mail: rename app/views/layouts/mailer.text.plain.erb to app/views/layouts/mailer.text.erb (#6317)

Revision 7535 - 2011-09-26 18:21 - Toshi MARUYAMA

Rails3: mail: rename app/views/layouts/mailer.text.html.erb to app/views/layouts/mailer.html.erb (#6317)

Revision 7536 - 2011-09-26 18:22 - Toshi MARUYAMA

Rails3: mail: rename app/views/mailer/*.text.plain.rhtml to app/views/mailer/*.text.erb (#6317)

Revision 7537 - 2011-09-26 18:23 - Toshi MARUYAMA

Rails3: mail: rename app/views/mailer/*.text.html.rhtml to app/views/mailer/*.html.erb (#6317)

Revision 7566 - 2011-10-03 17:17 - Toshi MARUYAMA

Rails3: mail: rename app/views/mailer/_issue_text_plain.rhtml to app/views/mailer/_issue.text.erb (#6317)

Revision 7567 - 2011-10-03 17:17 - Toshi MARUYAMA

Rails3: mail: rename app/views/mailer/_issue_text_html.rhtml to app/views/mailer/_issue.html.erb (#6317)

Revision 7573 - 2011-10-04 13:07 - Toshi MARUYAMA

remove hard-coded '.rxml' from ApplicationController 'render_feed' (#6317)

Revision 7574 - 2011-10-04 13:08 - Toshi MARUYAMA

remove hard-coded '.rxml' from 'test_index_atom' at functional projects controller test (#6317)

Revision 7575 - 2011-10-04 13:09 - Toshi MARUYAMA

Rails3: rename app/views/common/feed.atom.rxml to app/views/common/feed.atom.builder (#6317)

:rhtml and :rxml were finally removed as template handlers at Rails 3.1 RC4.
Revision 7576 - 2011-10-04 15:40 - Toshi MARUYAMA

remove hard-coded '.rxml' from 'test_show_atom' at functional issues controller test (#6317)

Revision 7577 - 2011-10-04 15:41 - Toshi MARUYAMA

Rails3: rename app/views/journals/index.rxml to app/views/journals/index.builder (#6317)

:rhtml and :rxml were finally removed as template handlers at Rails 3.1 RC4.

Revision 8304 - 2011-12-20 09:32 - Toshi MARUYAMA

Rails3: rename sample_plugin .rhtml to .html.erb (#6317, #4796)

:rhtml and :rxml were finally removed as template handlers at Rails 3.1 RC4.

Revision 9261 - 2012-03-25 06:46 - Toshi MARUYAMA

simple_ci plugin: rename *.rhtml to *.html.erb (#6317)

:rhtml and :rxml were finally removed as template handlers at Rails 3.1 RC4.

Revision 9264 - 2012-03-25 08:20 - Toshi MARUYAMA

embedded plugin: rename *.rhtml to *.html.erb (#6317)

:rhtml and :rxml were finally removed as template handlers at Rails 3.1 RC4.

History

#1 - 2011-08-31 08:12 - Jean-Baptiste Barth

- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

- Target version set to Candidate for next major release

- % Done changed from 0 to 50

I think Toshi is taking care of that one these days, thanks. Toshi: I'll let you update this issue accordingly. I set the "% Done" to 50% since there was

226 templates with ".rhtml" convention in Redmine 1.2.0 and now 109 in current trunk. Keep up the good work!

#2 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Target version deleted (Candidate for next major release)

I think this one is complete now.
